local config = {
    correctPin = "42069",
    release_url = "https://git.mcorangehq.xyz/xomf/keypadOS/raw/branch/main/keypadOS.lua",
    basalt_url = "https://raw.githubusercontent.com/Pyroxenium/Basalt/master/docs/versions/latest.lua",
    ntfy_url = "https://ntfy.sh/keypadOS_alerts",
    config_path = "keypadOS.config.lua"
}

local DEFAULT_CONFIG =  "return {\n" ..
                        "    group=\"default\",\n" ..
                        "}\n"

--- @class Config
--- @field group string

--- Read current configs, create if doesnt exist
---@return Config
function config.ReadConfig()
    if not fs.exists(config.config_path) then
        local f = fs.open(config.config_path, "w")
        f.write(DEFAULT_CONFIG)
        f.close();
    end
    local cfg = require(config.config_path)
    return cfg
end

return config
